Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
sauce::internal::ApplyConstructor< Parameters, Constructed_(A0, A1, A2, A3), Allocator_ > Class Template Reference

## Public Types
typedef Constructed_ | Constructed

## Public Member Functions
template<typename Passed >
Constructed * | apply (Passed passed)
template<typename Passed >
void | observe (Passed passed)

## Static Public Member Functions
static int | arity ()

The documentation for this class was generated from the following file:

- sauce/internal/apply_variadic.h